org.apache.geode.modules.session.catalina

## Interface SessionCache

- All Known Implementing Classes:
    AbstractSessionCache, ClientServerSessionCache, PeerToPeerSessionCache

      public interface SessionCache

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroySession(java.lang.String sessionId)`
    `GemFireCache` | `getCache()`
    `boolean` | `getDefaultEnableLocalCache()`
    `java.lang.String` | `getDefaultRegionAttributesId()`
    `Region<java.lang.String,javax.servlet.http.HttpSession>` | `getOperatingRegion()`
    `java.lang.String` | `getOperatingRegionName()`
    `javax.servlet.http.HttpSession` | `getSession(java.lang.String sessionId)`
    `Region<java.lang.String,javax.servlet.http.HttpSession>` | `getSessionRegion()`
    `java.lang.String` | `getSessionRegionName()`
    `org.apache.geode.modules.session.catalina.internal.DeltaSessionStatistics` | `getStatistics()`
    `void` | `initialize()`
    `boolean` | `isBackingCacheAvailable()`
    `boolean` | `isClientServer()`
    `boolean` | `isPeerToPeer()`
    `java.util.Set<java.lang.String>` | `keySet()`
    `void` | `putSession(org.apache.catalina.Session session)`
    `int` | `size()`
    `void` | `touchSessions(java.util.Set<java.lang.String> sessionIds)`

- - ### Method Detail

    - #### initialize

          void initialize()

    - #### getDefaultRegionAttributesId

          java.lang.String getDefaultRegionAttributesId()

    - #### getDefaultEnableLocalCache

          boolean getDefaultEnableLocalCache()

    - #### getSessionRegionName

          java.lang.String getSessionRegionName()

    - #### getOperatingRegionName

          java.lang.String getOperatingRegionName()

    - #### putSession

          void putSession(org.apache.catalina.Session session)

    - #### getSession

          javax.servlet.http.HttpSession getSession(java.lang.String sessionId)

    - #### destroySession

          void destroySession(java.lang.String sessionId)

    - #### touchSessions

          void touchSessions(java.util.Set<java.lang.String> sessionIds)

    - #### getStatistics

          org.apache.geode.modules.session.catalina.internal.DeltaSessionStatistics getStatistics()

    - #### getCache

          GemFireCache getCache()

    - #### getSessionRegion

          Region<java.lang.String,javax.servlet.http.HttpSession> getSessionRegion()

    - #### getOperatingRegion

          Region<java.lang.String,javax.servlet.http.HttpSession> getOperatingRegion()

    - #### isPeerToPeer

          boolean isPeerToPeer()

    - #### isClientServer

          boolean isClientServer()

    - #### keySet

          java.util.Set<java.lang.String> keySet()

    - #### size

          int size()

    - #### isBackingCacheAvailable

          boolean isBackingCacheAvailable()